Next Previous Contents

## 3.95 malloc

> Function

>   Allocate dynamic memory.

> Header

>   `stdlib.h`

> Declaration

>   `void* __fastcall__ malloc (size_t size);`

> Description

>   `malloc` allocates size bytes on the heap and returns a pointer to the allocated memory block. On error (not enough memory available), `malloc` returns `NULL`.

> Limits

>   - The function is only available as fastcall function, so it may only be used in presence of a prototype.
> Availability

>   ISO 9899

> See also

>   _heapadd, _heapblocksize, _heapmaxavail, _heapmemavail, calloc, free, realloc, strdup

> Example

>   None.

Next Previous Contents